Subject: Re: [PATCH net-next 12/13] genetlink: allow families to use split ops directly

From: Jakub Kicinski <[email-masked]>
Date: Thu, 20 Oct 2022 11:09:50 -0700

On Thu, 20 Oct 2022 09:32:17 +0200 Johannes Berg wrote:
> Hmm. The codegen/YAML part likely won't really happen for all of the
> families so perhaps some simplification would be good?
> 
> I feel like I probably should've changed this when adding
> GENL_DONT_VALIDATE_DUMP_STRICT / GENL_DONT_VALIDATE_STRICT, but I guess
> that's too late now :(
> 
> I guess we could add another set of flags, but that'd be annoying.

Perhaps we could hang it of the .resv_start_op as well?
Any op past that would treat policy == NULL as reject all?

We'd need to add GENL_DONT_VALIDATE_DO for families which 
want to parse inside the callbacks. I wonder if people would
get annoyed.

> OTOH, it's nicer if future things are better, and we don't need to add a
> "reject all" policy to all of them?